Package org.springframework.jndi

# Class JndiLookupFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.jndi.JndiLookupFailureException

All Implemented Interfaces:
  `Serializable`

public class JndiLookupFailureException extends org.springframework.core.NestedRuntimeException
RuntimeException to be thrown in case of JNDI lookup failures, in particular from code that does not declare JNDI's checked `NamingException`: for example, from Spring's `JndiObjectTargetSource`.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JndiLookupFailureException(String msg, NamingException cause)`
Construct a new JndiLookupFailureException, wrapping the given JNDI NamingException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JndiLookupFailureException

public JndiLookupFailureException(String msg, NamingException cause)
Construct a new JndiLookupFailureException, wrapping the given JNDI NamingException.

Parameters:
  `msg` - the detail message
  `cause` - the NamingException root cause